> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Telemetry Key Active

> Sets a telemetry key to the active or deactivated state.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| TelemetryKeyNotFound | 14200 |




## OpenAPI

````yaml /services/playfab/api-references/rest/events/events.openapi.json post /Event/SetTelemetryKeyActive
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Events API
  description: >-
    Write custom PlayStream and Telemetry events for any PlayFab entity.
    Telemetry events can be used for analytic, reporting, or debugging.
    PlayStream events can do all of that and also trigger custom actions in near
    real-time.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: PlayStream
    description: PlayStream Management APIs
  - name: PlayStream Events
    description: PlayStream Events APIs
paths:
  /Event/SetTelemetryKeyActive:
    post:
      tags:
        - PlayStream Events
      summary: Set Telemetry Key Active
      description: |
        Sets a telemetry key to the active or deactivated state.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | TelemetryKeyNotFound | 14200 |
      operationId: SetTelemetryKeyActive
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetTelemetryKeyActiveRequest'
      responses:
        '200':
          $ref: '#/components/responses/SetTelemetryKeyActiveResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    SetTelemetryKeyActiveRequest:
      type: object
      properties:
        Active:
          description: Whether to set the key to active (true) or deactivated (false).
          type: boolean
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
        KeyName:
          description: The name of the key to update.
          type: string
      required:
        - KeyName
        - Active
      example:
        KeyName: MyTelemetryKey
        Active: false
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    SetTelemetryKeyActiveResponse:
      type: object
      properties:
        KeyDetails:
          allOf:
            - $ref: '#/components/schemas/TelemetryKeyDetails'
          description: >-
            The most current details about the telemetry key that was to be
            updated.
        WasKeyUpdated:
          description: >-
            Indicates whether or not the key was updated. If false, the key was
            already in the desired state.
          type: boolean
      required:
        - WasKeyUpdated
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    TelemetryKeyDetails:
      type: object
      properties:
        CreateTime:
          description: When the key was created.
          type: string
        IsActive:
          description: >-
            Whether or not the key is currently active. Deactivated keys cannot
            be used for telemetry ingestion.
          type: boolean
        KeyValue:
          description: >-
            The key that can be distributed to clients for use during telemetry
            ingestion.
          type: string
        LastUpdateTime:
          description: When the key was last updated.
          type: string
        Name:
          description: >-
            The name of the key. Telemetry key names are unique within the scope
            of the title.
          type: string
      required:
        - IsActive
        - CreateTime
        - LastUpdateTime
  responses:
    SetTelemetryKeyActiveResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/SetTelemetryKeyActiveResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Set Telemetry Key Active](/services/playfab/api-references/rest/events/play-stream-events/set-telemetry-key-active.md)
- [List Telemetry Keys](/api-reference/playstream-events/list-telemetry-keys.md)
- [Get Telemetry Key](/api-reference/playstream-events/get-telemetry-key.md)
- [Create Telemetry Key](/api-reference/playstream-events/create-telemetry-key.md)
- [Telemetry Keys](/services/playfab/data-analytics/ingest-data/telemetry-keys-overview.md)
